package msg

const (
	SERVER_CONFIG         = "config.yaml"
	SERVER_DUBBOGO_CONFIG = "dubbogo.yaml"
	MODE_ENV              = "MODE_ENV"
)

const (
	Success = "操作成功"
	Failed  = "操作失败"
)

const (
	WholeTimeFormat = "2006-01-02 15:04:05"
)

const (
	//ExamWaiting  = 1 //未开始
	ExamDoing    = 1 //进行中
	ExamFinished = 2 //已结束

	TrainWaiting  = 1 //未开始
	TrainDoing    = 2 //进行中
	TrainFinished = 3 //已结束

	IsRight = 1 //正确
	IsErr   = 2 //正确

	IsPass     = 3 //  通过
	NotPass    = 2 // 未通过
	IsNotStart = 1 // 未完成

	NotGot = 1
	IsGot  = 2

	IsGift    = 2
	IsNotGift = 1

	IsTrain = 1 // 完成培训 及 录制了视频

	IsNeedAnswer = 1 // 需要答题

	IsNeedTrain = 1 // 需要培训

	IsAll = 1 // 全部都需要参加
)

const (
	Http = 200
)

const (
	ErrorLogin        = "账号或密码错误"
	ErrorJSONParse    = "json解析失败"
	ErrorJSONMarshal  = "json序列化失败"
	ErrorForUpdate    = "锁定错误"
	ErrorInsert       = "插入异常"
	ErrorDelete       = "删除异常"
	ErrorUpdate       = "更新异常"
	ErrorSelect       = "查询异常"
	ErrorEmptyParam   = "值为空"
	ErrorCopierStruct = "拷贝结构体错误"
	ErrorNoAction     = "无需操作"
	ErrorInvalidParam = "参数不合法"
	ErrorNoData       = "没有数据"
	ErrorDatetime     = "时间格式错误"

	ErrorSha256Write = "sha256加密错误"
)

const (
	ErrOperate = "操作错误"
)
